Subject: linux-next: manual merge of the pinctrl tree with the devicetree tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 31 Jul 2018 15:42:43 +1000

Hi all,

Today's linux-next merge of the pinctrl tree got a conflict in:

  Documentation/devicetree/bindings/pinctrl/st,stm32-pinctrl.txt

between commit:

  791d3ef2e111 ("dt-bindings: remove 'interrupt-parent' from bindings")

from the devicetree tree and commit:

  de1d08b22974 ("dt-bindings: pinctrl: add syscfg mask parameter")

from the pinctrl tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc Documentation/devicetree/bindings/pinctrl/st,stm32-pinctrl.txt
index a8bb36b4f9fd,046a3de026d4..000000000000
--- a/Documentation/devicetree/bindings/pinctrl/st,stm32-pinctrl.txt
+++ b/Documentation/devicetree/bindings/pinctrl/st,stm32-pinctrl.txt
@@@ -37,9 -37,12 +37,10 @@@ Required properties
  
  Optional properties:
   - reset:	  : Reference to the reset controller
-  - st,syscfg: Should be phandle/offset pair. The phandle to the syscon node
-    which includes IRQ mux selection register, and the offset of the IRQ mux
-    selection register.
 - - interrupt-parent: phandle of the interrupt parent to which the external
 -   GPIO interrupts are forwarded to.
+  - st,syscfg: Should be phandle/offset/mask.
+ 	-The phandle to the syscon node which includes IRQ mux selection register.
+ 	-The offset of the IRQ mux selection register
+ 	-The field mask of IRQ mux, needed if different of 0xf.
   - gpio-ranges: Define a dedicated mapping between a pin-controller and
     a gpio controller. Format is <&phandle a b c> with:
  	-(phandle): phandle of pin-controller.